Subject: bug#17225: 24.4.50; emacs -Q "d:\some\dir": "Symbol's function definition is void: dired-noselect"

From: Eli Zaretskii <[email-masked]>
Date: Tue, 08 Apr 2014 19:27:22 +0300

> Date: Tue, 8 Apr 2014 08:45:54 -0700 (PDT)
> From: Drew Adams <[email-masked]>
> 
> I started Emacs using a Windows shortcut with this Target:
> D:\MY-EMACS-LOCATION\bin\runemacs.exe -Q --debug-init "d:\SOME\DIR"
> 
> I immediately got this error:
> 
> run-hook-with-args-until-success: Symbol's function definition is void: dired-noselect
> 
> In GNU Emacs 24.4.50.1 (i686-pc-mingw32)
>  of 2014-04-06 on ODIEONE
> Bzr revision: 116947 [email-masked]

I cannot reproduce this here (with a trunk revision only slightly
newer than yours: 116956).  Please see if some local configuration
could be the cause.